function config= createHyperClassifierConfig(config)

    if nargin < 1, config= []; end
    
    if ~isfield(config, 'type'), config.type= 'hyperClassifier'; end
    if ~isfield(config, 'logFilename'), config.logFilename= 'classifierLog.txt'; end
    if ~isfield(config, 'displayInfo'), config.displayInfo= 1; end
    if ~isfield(config, 'keepHistory'), config.keepHistory= 0; end
    
    if ~isfield(config, 'scale'), config.scale= -1; end
    if ~isfield(config, 'scalePercentage'), config.scalePercentage= 0.05; end
    
    if ~isfield(config, 'permuteSamples'), config.permuteSamples= 1; end
    if ~isfield(config, 'reorganize'), config.reorganize= 1; end
    if ~isfield(config, 'nReorganizeSamples'), config.nReorganizeSamples= 300; end
    if ~isfield(config, 'reorgMaxSupport'), config.reorgMaxSupport= 1.5; end
    
    if ~isfield(config, 'nHierarchyLevels'), config.nHierarchyLevels= 6; end
    if ~isfield(config, 'filterClassifier')
        error('createHyperClassifierConfig: filterClassifier must be defined'); end
    if ~isfield(config, 'classifierConfigs')
        config.classifierConfigs(config.nHierarchyLevels)= createClassifierConfig; 
        config.classifierConfigs(1 : config.nHierarchyLevels)= config.classifierConfigs(config.nHierarchyLevels);
    end
    nClassifConfigs= length(config.classifierConfigs);
    if nClassifConfigs < config.nHierarchyLevels
        config.classifierConfigs(config.nHierarchyLevels)= config.classifierConfigs(nClassifConfigs); 
        config.classifierConfigs(nClassifConfigs+1 : config.nHierarchyLevels)= config.classifierConfigs(nClassifConfigs);
    end
    if ~isfield(config, 'featureParams')
        error('createHyperClassifierConfig: featureParams must be defined'); end
    nFeatParams= length(config.featureParams);
    if nFeatParams < config.nHierarchyLevels
        config.featureParams(config.nHierarchyLevels)= config.featureParams(nFeatParams); 
        config.featureParams(nFeatParams+1 : config.nHierarchyLevels)= config.featureParams(nFeatParams);
    end