function [respondingClasses, responseValues]= getEnsembleClassifierResponse(ensemble, samples, samplePriors, priorFactors)

    if nargin == 4, priorGiven= 1; else priorGiven= 0; end
    nSamples= size(samples, 2);

    respondingClasses= zeros(1, nSamples);
    responseValues= zeros(1, nSamples);
    nClassifiers= ensemble.nClassifiers;
    
    if strcmp(ensemble.config.modusResponse, 'weighted')
        
    elseif strcmp(ensemble.config.modusResponse, 'unweighted')
        responses= zeros(nClassifiers, nSamples);
        values= zeros(nClassifiers, nSamples);
        for i= 1 : nClassifiers
            if priorGiven == 1
                [responses(i, :), values(i, :)]= getClassifierResponsePrior(ensemble.classifiers(i), samples, samplePriors, priorFactors);
            else
                [responses(i, :), values(i, :)]= getClassifierResponse(ensemble.classifiers(i), samples);
            end
        end
        nClasses= max(max(responses));
        % response selected on max number of classifiers giving same resp.
        % TODO: in case of drawn, samll classIds are preferred
        nMaxResponses= zeros(1, nSamples);
        for claz= 1 : nClasses
            respIndices= responses == claz;
            numResps= sum(respIndices);
            newMaxIndices= (nMaxResponses - numResps) < 0;
            respondingClasses(newMaxIndices)= claz;
            nMaxResponses(newMaxIndices)= numResps(newMaxIndices);
            values_= zeros(nClassifiers, nSamples);
            values_(respIndices)= values(respIndices);
            values_= sum(values_);
            responseValues(newMaxIndices)= values_(newMaxIndices);
        end
        % response selected on max sum of responseValues for one class
        % TODO: implement it
    end