function classifier= reorganizeClassifier(classifier)

    age= classifier.age;
    centers= classifier.centers;
    radii= classifier.radii;
    centerClassIds= classifier.centerClassIds;
    nCenters= classifier.nCenters;
    correctResponses= classifier.correctResponses;
    totalResponses= classifier.totalResponses;
    credits= classifier.credits;
    centerBirths= classifier.centerBirths;

    centerAges= max([1 age - centerBirths]);
    dis1= centerAges > classifier.config.nReorganizeSamples;
    dis2= credits < 0.8;
    dis3= (totalResponses ./ centerAges) < 0.001;
    dis= logical(dis1 .* dis2 .* dis3);
    
    centers(:, dis)= [];
    radii(dis)= [];
    centerBirths(dis)= [];
    centerClassIds(dis)= [];
    correctResponses(dis)= [];
    totalResponses(dis)= [];
    credits(dis)= [];
    nCenters= nCenters - sum(dis);
    


    classifier.nCenters= nCenters;
    classifier.centers= centers;
    classifier.radii= radii;
    classifier.centerBirths= centerBirths;
    classifier.centerClassIds= centerClassIds;
    classifier.correctResponses= correctResponses;
    classifier.totalResponses= totalResponses;
    classifier.credits= credits;
    
    classifier.nSinceLastReorg= 0;
    