function dPhidL= xy2dPhidL(x, y)
    
    if nargin == 1, y= x(2, :); x(2, :)= []; end
    
    n= length(x);
    Delta_Phi= zeros(1,n);
    Delta_L= zeros(1,n);

    % calculate length segments and angle segments
    i= 2;
    while i <= n
        Delta_x= x(i)-x(i-1);
        Delta_y= y(i)-y(i-1);
        % to avoid division by delta_L == 0
%         if Delta_x == 0 && Delta_y == 0
%             x(i)= [];
%             y(i)= [];
%             Delta_Phi(i)= [];
%             Delta_L(i)= [];
% %             i= i-1;
%             n= n-1;
%             continue;
%         end
        L= sqrt(Delta_x^2 + Delta_y^2);
        Delta_L(i)= L;
        if Delta_x == 0 && Delta_y == 0
            Delta_Phi(i-1)= 0;
            i= i + 1;
            continue;
        end

%         if i > 2
        if exist('Delta_x_prev', 'var')
            u= [Delta_x_prev Delta_y_prev] ./ Delta_L_prev;
            v= [-u(2) u(1)];
            X= sum([Delta_x Delta_y] .* u);
            Y= sum([Delta_x Delta_y] .* v);
            Delta_Phi(i-1)= atan2(Y, X);
        end

        Delta_x_prev= Delta_x;
        Delta_y_prev= Delta_y;
        Delta_L_prev= L;
        i= i + 1;
    end
    
    dPhidL= [Delta_Phi; Delta_L];